version: "3.4"

services:
  leafcutter:
    container_name: leafcutter
    restart: ${RESTART}
    build:
      context: .
      dockerfile: ./apps/leafcutter/Dockerfile
    image: registry.gitlab.com/digiresilience/link/link-stack/leafcutter:${LINK_STACK_VERSION}
    expose:
      - "3000"
    ports:
      - "8005:3000"
    environment:
      NEXTAUTH_URL: ${LINK_URL}
      NEXTAUTH_SECRET: ${NEXTAUTH_SECRET}
      NEXTAUTH_AUDIENCE: ${NEXTAUTH_AUDIENCE}
      NEXTAUTH_SIGNING_KEY_B64: ${NEXTAUTH_SIGNING_KEY_B64}
      NEXTAUTH_ENCRYPTION_KEY_B64: ${NEXTAUTH_ENCRYPTION_KEY_B64}
